<?php

require_once '../gerador/MysqlConsulta.php';
require "conexao.php";

$mysql = new MysqlConsulta();

if (isset($_POST['desativar'])) {
    // Recupera o array de IDs marcados
    $idsSelecionados = $_POST['desativar'];

    // Exemplo: Iterar sobre os IDs e fazer algo com eles
    foreach ($idsSelecionados as $id) {
        // Aqui você pode desativar a venda, deletar, etc.
       $id =  htmlspecialchars($id) . "<br>";
        $mysql-> gravarProdutosParaDesativa($conexao,$id);
    
     }

}



if (isset($_POST['desativarloja'])) {
    // Recupera o array de IDs marcados
    $idsSelecionados = $_POST['desativarloja'];
    $loja = $_POST['loja'];

    // Exemplo: Iterar sobre os IDs e fazer algo com eles
    foreach ($idsSelecionados as $id) {
        // Aqui você pode desativar a venda, deletar, etc.
       $id =  htmlspecialchars($id);
        $mysql-> gravarProdutosParaDesativaLoja($conexao,$id,$loja);
    
     }

} else {

    echo "Nenhuma venda foi selecionada.";
}



header('Location: ../comprasanalise.php');